#include "..\common\common.h"

wmain(int argc, WCHAR *argv[]) {

	WCHAR wstrFileName[4+BUFSIZE] = L"\\\\?\\";

	/* Argument Check */
	if (argc != 2) {
		fprintf(stderr, "Usage: %S FileName\n", argv[0]);
		ExitProcess(1);
	}

	/* generate full path name */
	{
		WCHAR *lpwstrFileName;
		if (GetFullPathNameW(argv[1], BUFSIZE, wstrFileName+4, &lpwstrFileName) == 0) {
			PrintErrorMessage(__FILE__, "GetFullPathNameW", __LINE__);
			ExitProcess(1);
		}
	}

	if (!DeleteFileW(wstrFileName)) {
		PrintErrorMessage(__FILE__, "DeleteFileW", __LINE__);
		ExitProcess(1);
	}

	ExitProcess(0);
}